function [pr_sm pr_sm_joint] = SmoothedProbabilities(pr_st, pr_stl, Q)

% by Stephane Lhuissier, 2012

	                           
t            = size(pr_st,1);
[n m]        = size(Q);
pr_sm        = zeros(t,n);
pr_sm_joint  = zeros(t,n);
pr_sm(end,:) = pr_st(end,:);



for j=t-1:-1:1

	for u=1:n
		
		for v=1:m
		
			nn = (u-1)*n+v;
			
			% Pr[ S_t = i , S_{t+1} = j | Y_T ] 
			pr_sm_joint(j+1,nn) = pr_sm(j+1,v)*Q(v,u)*pr_st(j,u)/pr_stl(j+1,v);
		
		end
		
		
	end
	
		pr_sm(j,:) = sum(reshape(pr_sm_joint(j+1,:),n,n),1); % integrate out S_{t+1} of the joint
												          % probability 

end