function  param_draws = fn_rwmh(name_file,param,cc,sigscale,nblocks,ndraws,M_,oo_,options_,flag_fig)
%
%    Random-Walk Metropolis-Hastings Algorithm
%
%    by Stphane LHUISSIER and Fabien TRIPIER, 2019


%=================================================
%   First draw R.W Metropolis-Hasting Algorithm 
%=================================================

param_draws = [];

paranew = param;

% check bounds
ind1 = find(paranew > options_.ms.ub(options_.ms.posest));
ind2 = find(paranew < options_.ms.lb(options_.ms.posest));
if any(ind1) || any(ind2)
  lnpost0 = -1E6;
  return
else

lnpost0 = compute_lnposterior(paranew, M_, oo_, options_, flag_fig);
%lnpri0 = priodens(paranew,options_.ms.pmean(options_.ms.posest), options_.ms.pstdd(options_.ms.posest), options_.ms.pshape(options_.ms.posest));

%lnpost0 = real(lnlik0) + real(lnpri0)
end

% Initialize PARANEW            
valid0 = 0;
while ~valid0

paranew = param + cc*(sigscale*randn(length(options_.ms.posest),1));

% check bounds
ind1 = find(paranew > options_.ms.ub((options_.ms.posest)));
ind2 = find(paranew < options_.ms.lb((options_.ms.posest)));
if any(ind1) || any(ind2)
  postnew = -1E6;
  return
else

postnew   = compute_lnposterior(paranew, M_, oo_, options_, flag_fig);
%lnprionew = priodens(paranew,options_.ms.pmean(options_.ms.posest), options_.ms.pstdd(options_.ms.posest), options_.ms.pshape(options_.ms.posest));
%postnew   = real(likenew) + real(lnprionew);

end
if postnew > -10000
  valid0 = 1
end
disp('initializing...')
end

fprintf(1,'\nPeak = %2.3f',lnpost0);

%=================================================
%   Random-Walk Metropolis-Hasting Algorithm 
%=================================================

param_draws = zeros(nblocks*ndraws,length(options_.ms.posest));

%%  set initial values for simulations
Tim    = 0;	        
reje   = 0;

for iblock = 1:nblocks  

  if iblock >1; fprintf(1,'\nblock: %2.0f',iblock); end

    parasimm    = zeros(ndraws,size(param,1));
    %likesim     = zeros(ndraws,1);
    postsim     = zeros(ndraws,1);
    %lnpriosim   = zeros(ndraws,1);
    rej         = zeros(ndraws,1);
  
  for j = 1:ndraws
	Tim = Tim+1;
	
	if ( j == 1 ) && (iblock == 1)
      postold   = postnew;
      %likeold   = likenew;
      %lnprioold = lnprionew;            
      paraold   = paranew;     
      rej(1)    = 0;
	end

paranew = paraold + cc*(sigscale*randn(length(options_.ms.posest),1));

% check bounds
ind1 = find(paranew > options_.ms.ub(options_.ms.posest));
ind2 = find(paranew < options_.ms.lb(options_.ms.posest));
if any(ind1) || any(ind2)
  postnew = -1E6;            
else
	postnew   = compute_lnposterior(paranew, M_, oo_, options_, flag_fig);
    %lnprionew = priodens(paranew,options_.ms.pmean(options_.ms.posest), options_.ms.pstdd(options_.ms.posest), options_.ms.pshape(options_.ms.posest));
    %postnew   = real(likenew) + real(lnprionew);
end

r = min([1 ; exp( postnew - postold)]);      

	if rand(1,1) < r
		% Accept proposed jump 
		postsim(j,1)   = postnew;
		%likesim(j,1)   = likenew;
		%lnpriosim(j,1) = lnprionew;
		parasimm(j,:)  = paranew';
		paraold        = paranew;
		postold        = postnew;
		%likeold        = likenew;
		%lnprioold      = lnprionew;
	else
		% Reject proposed jump
		%likesim(j,1)   = likeold;
		%lnpriosim(j,1) = lnprioold;
		postsim(j,1)   = postold;
		parasimm(j,:)  = paraold';
		rej(j)         = 1;
		reje           = reje+1;
    end
    
    param_draws(j,:)   = parasimm(j,:);
	
	fprintf(1,'\nBlock %2.2g of %2.2g',[iblock,nblocks]);
	fprintf(1,'\nSimulation step %2.0f of %2.0f',[j,ndraws]);
	fprintf(1,'\nRejection r: %2.6f rej %2.2g perct %2.4f ',[r,rej(j),sum(rej)/j]);
	fprintf(1,'\nPosterior: %4.6f ',postsim(j,1));
    %fprintf(1,'\nLikelihood: %4.6f Posterior: %4.6f ',[likesim(j,1),postsim(j,1)]);
  end
  
  fprintf(1,'\n\nOverall rejection rate = %2.2f percent\n\n',sum(rej)/j*100); ...
  block_rej = sum(rej)/j;
  currentFile01 = strcat('results/',name_file,'/',sprintf('posterior_draws_%d.mat',iblock));
  save(currentFile01,'postsim','parasimm','block_rej')

end

