function pr_sT = get_prob_from_coeffs(xdd,Agbs,Fgbs,Zgbs,Qgbs)

nvar    = size(Agbs,1);
nstates = size(Agbs,3); 
lags    = (size(Fgbs,1)-1)/nvar;

Egbs = zeros(nvar,nstates);
Bgbs = zeros(size(Fgbs));

for h_idx=1:nstates
    Egbs(:,h_idx)   = sqrt(diag(Zgbs(:,:,h_idx)));
    Bgbs(:,:,h_idx) = Fgbs(:,:,h_idx)/Agbs(:,:,h_idx);
end

% Evaluate the likelihood
[~, ~, pr_st0, pr_stl0] = lik_ms_sbvar(xdd, Agbs, Fgbs, Egbs, Qgbs, nstates, lags);

% Kim (1994) filter 
pr_sT = SmoothedProbabilities(pr_st0, pr_stl0, Qgbs);








