% This program computed impulse response functions for the Sims routine

% Written by Adam Gulan, 24 February 2009
% based on formula 23 from the article by Chris Sims, "Solving Linear
% Rational Expectations Models", Computational Economics, 2001

% REQUIRED INPUT
% Theta1 is the transition matrix from the Sims routine
% Thetaz is the impact matrix from the Sims routine
% z specifies the vector of initial shocks. It must have dimentions
% s x cols(Thetaz)
% s specifies the number of periods computed

function reaction = simsirf(Theta1,Thetaz,z,s);

reaction=zeros(s,size(Theta1,1));

for i=1:s

responsei=zeros(1,size(Theta1,1));

    for v = 0:(i-1); 

    responsev=Theta1^(v)*Thetaz*z(i-v,:)';

    responsei=responsei+responsev';

    end

reaction(i,:)=responsei;

end
