
% creat a structure into the "options" structure
options_.ms               = struct;

% Horizon of impulse responses to match
options_.ms.horizon       = 16;

% select data for model estimation
options_.ms.select_vec    = [
                             1 % Output
                             1 % VIX index
                             1 % Credit Spread
                            ];

% load the output from MS-SVAR
load('../../msvar/MSVAR_IRFsAndSEs.mat')
options_.ms.irf_quan68          = irf_quan_68_90;

% put together selected data with desired horizon 
IRFu01              = IRFu(1:options_.ms.horizon+1,options_.ms.select_vec==1,1);
IRFuSE01            = IRFuSE(1:options_.ms.horizon+1,options_.ms.select_vec==1,1); 

IRFu02              = IRFu(1:options_.ms.horizon+1,options_.ms.select_vec==1,2);
IRFuSE02            = IRFuSE(1:options_.ms.horizon+1,options_.ms.select_vec==1,2); 

options_.ms.psihat              = [ IRFu01      IRFu02      ];
options_.ms.Vhat                = [ IRFuSE01.^2 IRFuSE02.^2 ];

options_.ms.psihat              = options_.ms.psihat(:);
options_.ms.Vhat                = options_.ms.Vhat(:);

% use only the diagonal part of full covariance matrix find non_zero entries
options_.ms.indx                = find(options_.ms.Vhat>=1e-8);

% cut out zero elements in Vhat and psihat (due to information restictions i.e. zero
% impact)
options_.ms.psihat              = options_.ms.psihat(options_.ms.indx);
options_.ms.Vhat                = options_.ms.Vhat(options_.ms.indx);

%create diagonal matrices
options_.ms.Vhat                = diag(options_.ms.Vhat);
options_.ms.inv_Vhat            = inv(options_.ms.Vhat);

%need log det of Vhat later. To save CPU time, do it here already and not for
%every step in the estimation.
options_.ms.logdetVhat          = logdet(options_.ms.Vhat);
