close all;

imstp       = options_.ms.horizon;
irf_quan68  = options_.ms.irf_quan68;
t           = 0:imstp;

figure(101)
set(gcf,'Position',[100 100 500 500])
subplot(3,2,1)
plot(t,imfhat_select(:,1,1),'-s','LineWidth',1.5,'MarkerEdgeColor','k','MarkerFaceColor','k','color','k')
hold on
plot(t,irf_quan68(1:imstp+1,1,3,1),'-','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,1,1),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,5,1),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,2,1),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,4,1),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,zeros(imstp+1,1),':r')
set(gca,'xtick',[0 2 4 8 16])
ylim([min([irf_quan68(1:imstp+1,1,1,1); irf_quan68(1:imstp+1,1,5,1); irf_quan68(1:imstp+1,1,1,2); irf_quan68(1:imstp+1,1,5,2)]) ...
      max([irf_quan68(1:imstp+1,1,1,1); irf_quan68(1:imstp+1,1,5,1); irf_quan68(1:imstp+1,1,1,2); irf_quan68(1:imstp+1,1,5,2)])])
xlim([0 16])
set(gca,'xgrid','on') 
set(gca,'ygrid','on')
tt=title('Panel A. Output [1]');
set(tt, 'horizontalAlignment', 'left')
set(tt, 'units', 'normalized')
h = get(tt, 'position');
set(tt, 'position', [0 1 0])
ylabel({'Percent Deviation';'from Steady State'})
xlabel('quarters after shock')
subplot(3,2,2)
plot(t,imfhat_select(:,1,2),'-s','LineWidth',1.5,'MarkerEdgeColor','k','MarkerFaceColor','k','color','k')
hold on
plot(t,irf_quan68(1:imstp+1,1,3,2),'-','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,1,2),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,5,2),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,2,2),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,1,4,2),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,zeros(imstp+1,1),':r')
set(gca,'xtick',[0 2 4 8 16])
ylim([min([irf_quan68(1:imstp+1,1,1,1); irf_quan68(1:imstp+1,1,5,1); irf_quan68(1:imstp+1,1,1,2); irf_quan68(1:imstp+1,1,5,2)]) ...
      max([irf_quan68(1:imstp+1,1,1,1); irf_quan68(1:imstp+1,1,5,1); irf_quan68(1:imstp+1,1,1,2); irf_quan68(1:imstp+1,1,5,2)])])
xlim([0 16])
set(gca,'xgrid','on') 
set(gca,'ygrid','on')
tt=title('Panel B. Output [2]');
set(tt, 'horizontalAlignment', 'left')
set(tt, 'units', 'normalized')
h = get(tt, 'position');
set(tt, 'position', [0 1 0])
ylabel({'Percent Deviation';'from Steady State'})
xlabel('quarters after shock')
subplot(3,2,3)
plot(t,imfhat_select(:,2,1),'-s','LineWidth',1.5,'MarkerEdgeColor','k','MarkerFaceColor','k','color','k')
hold on
plot(t,irf_quan68(1:imstp+1,2,3,1),'-','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,1,1),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,5,1),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,2,1),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,4,1),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,zeros(imstp+1,1),':r')
set(gca,'xtick',[0 2 4 8 16])
ylim([min([irf_quan68(1:imstp+1,2,1,1); irf_quan68(1:imstp+1,2,5,1); irf_quan68(1:imstp+1,2,1,2); irf_quan68(1:imstp+1,2,5,2)]) ...
      max([irf_quan68(1:imstp+1,2,1,1); irf_quan68(1:imstp+1,2,5,1); irf_quan68(1:imstp+1,2,1,2); irf_quan68(1:imstp+1,2,5,2)])])
xlim([0 16])
set(gca,'xgrid','on') 
set(gca,'ygrid','on')
tt=title('Panel C. Uncertainty [1]');
set(tt, 'horizontalAlignment', 'left')
set(tt, 'units', 'normalized')
h = get(tt, 'position');
set(tt, 'position', [0 1 0])
ylabel({'Percentage Points'})
xlabel('quarters after shock')
subplot(3,2,4)
plot(t,imfhat_select(:,2,2),'-s','LineWidth',1.5,'MarkerEdgeColor','k','MarkerFaceColor','k','color','k')
hold on
plot(t,irf_quan68(1:imstp+1,2,3,2),'-','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,1,2),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,5,2),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,2,2),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,2,4,2),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,zeros(imstp+1,1),':r')
set(gca,'xtick',[0 2 4 8 16])
ylim([min([irf_quan68(1:imstp+1,2,1,1); irf_quan68(1:imstp+1,2,5,1); irf_quan68(1:imstp+1,2,1,2); irf_quan68(1:imstp+1,2,5,2)]) ...
      max([irf_quan68(1:imstp+1,2,1,1); irf_quan68(1:imstp+1,2,5,1); irf_quan68(1:imstp+1,2,1,2); irf_quan68(1:imstp+1,2,5,2)])])
xlim([0 16])
set(gca,'xgrid','on') 
set(gca,'ygrid','on')
tt=title('Panel D. Uncertainty [2]');
set(tt, 'horizontalAlignment', 'left')
set(tt, 'units', 'normalized')
h = get(tt, 'position');
set(tt, 'position', [0 1 0])
ylabel({'Percentage Points'})
xlabel('quarters after shock')
subplot(3,2,5)
plot(t,imfhat_select(:,3,1),'-s','LineWidth',1.5,'MarkerEdgeColor','k','MarkerFaceColor','k','color','k')
hold on
plot(t,irf_quan68(1:imstp+1,3,3,1),'-','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,1,1),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,5,1),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,2,1),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,4,1),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,zeros(imstp+1,1),':r')
set(gca,'xtick',[0 2 4 8 16])
ylim([min([irf_quan68(1:imstp+1,3,1,1); irf_quan68(1:imstp+1,3,5,1); irf_quan68(1:imstp+1,3,1,2); irf_quan68(1:imstp+1,3,5,2)]) ...
      max([irf_quan68(1:imstp+1,3,1,1); irf_quan68(1:imstp+1,3,5,1); irf_quan68(1:imstp+1,3,1,2); irf_quan68(1:imstp+1,3,5,2)])])
xlim([0 16])
set(gca,'xgrid','on')
set(gca,'ygrid','on')
tt=title('Panel E. Credit Spread [1]');
set(tt, 'horizontalAlignment', 'left')
set(tt, 'units', 'normalized')
h = get(tt, 'position');
set(tt, 'position', [0 1 0])
ylabel('Percentage Points')
xlabel('quarters after shock')
subplot(3,2,6)
plot(t,imfhat_select(:,3,2),'-s','LineWidth',1.5,'MarkerEdgeColor','k','MarkerFaceColor','k','color','k')
hold on
plot(t,irf_quan68(1:imstp+1,3,3,2),'-','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,1,2),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,5,2),':','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,2,2),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,irf_quan68(1:imstp+1,3,4,2),'-.','color',[0 0.4470 0.7410],'LineWidth',1.0);
hold on
plot(t,zeros(imstp+1,1),':r')
set(gca,'xtick',[0 2 4 8 16])
ylim([min([irf_quan68(1:imstp+1,3,1,1); irf_quan68(1:imstp+1,3,5,1); irf_quan68(1:imstp+1,3,1,2); irf_quan68(1:imstp+1,3,5,2)]) ...
      max([irf_quan68(1:imstp+1,3,1,1); irf_quan68(1:imstp+1,3,5,1); irf_quan68(1:imstp+1,3,1,2); irf_quan68(1:imstp+1,3,5,2)])])
xlim([0 16])
set(gca,'xgrid','on')
set(gca,'ygrid','on')
tt=title('Panel F. Credit Spread [2]');
set(tt, 'horizontalAlignment', 'left')
set(tt, 'units', 'normalized')
h = get(tt, 'position');
set(tt, 'position', [0 1 0])
ylabel('Percentage Points')
xlabel('quarters after shock')
