%
% Generate Table 6 
%
% by Stephane LHUISSIER and Fabien TRIPIER

clear all; clc;

addpath('../../../library')

nuse    = 10;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

name_file = 'baseline';

load(['../results/',name_file,'/posterior_draws_1.mat'],'parasimm','postsim');
load(['../results/',name_file,'/posterior_mode.mat']);

nburn   = 0.10*size(parasimm,1);
parasim = forevery(parasimm(nburn+1:end,:),nuse);
postsim1 = forevery(postsim(nburn+1:end,:),nuse);

MDDBEN = mean(fn_mdd_mhm(lnposterior,parasim,postsim1));

%Postdraw_med = median(parasim,1);
%Postdraw_mea = mean(parasim,1);
Postdraw_lim = hpdint(parasim,0.90,0);

PostMatrixBEN = [xh Postdraw_lim'];
%PostMatrixBEN = [Postdraw_med' Postdraw_lim'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

name_file = 'mplwz';

load(['../results/',name_file,'/posterior_draws_1.mat']);
load(['../results/',name_file,'/posterior_mode.mat']);

nburn   = 0.10*size(parasimm,1);
parasim = forevery(parasimm(nburn+1:end,:),nuse);
postsim1 = forevery(postsim(nburn+1:end,:),nuse);

MDDLWZ = mean(fn_mdd_mhm(lnposterior,parasim,postsim1));

%Postdraw_med = median(parasim,1);
%Postdraw_mea = mean(parasim,1);
Postdraw_lim = hpdint(parasim,0.90,0);

PostMatrixLWZ = [xh Postdraw_lim'];
%PostMatrixNOS = [Postdraw_med' Postdraw_lim'];


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

name_file = 'calvolwz';

load(['../results/',name_file,'/posterior_draws_1.mat']);
load(['../results/',name_file,'/posterior_mode.mat']);

nburn   = 0.10*size(parasimm,1);
parasim = forevery(parasimm(nburn+1:end,:),nuse);
postsim1 = forevery(postsim(nburn+1:end,:),nuse);

MDDCALVOLWZ = mean(fn_mdd_mhm(lnposterior,parasim,postsim1));

%Postdraw_med = median(parasim,1);
%Postdraw_mea = mean(parasim,1);
Postdraw_lim = hpdint(parasim,0.90,0);

PostMatrixCalvoLWZ = [xh Postdraw_lim'];
%PostMatrixNOS = [Postdraw_med' Postdraw_lim'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
name_file = 'nosticky';

load(['../results/',name_file,'/posterior_draws_1.mat']);
load(['../results/',name_file,'/posterior_mode.mat']);

nburn   = 0.10*size(parasimm,1);
parasim = forevery(parasimm(nburn+1:end,:),nuse);
postsim1 = forevery(postsim(nburn+1:end,:),nuse);

MDDNOS = mean(fn_mdd_mhm(lnposterior,parasim,postsim1));

%Postdraw_med = median(parasim,1);
%Postdraw_mea = mean(parasim,1);
Postdraw_lim = hpdint(parasim,0.90,0);

PostMatrixNOS = [xh Postdraw_lim'];
%PostMatrixNOS = [Postdraw_med' Postdraw_lim'];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

diary Tab5.tex
fprintf('\n')
fprintf('\\begin{table}\n')
fprintf('\\center\n')
fprintf('\\label{posterior_table}\n')
fprintf('\\begin{tabular}{llccccc}\n')
fprintf(' \\hline\n ')
fprintf(' \\hline\n')
fprintf('  &  & & \\multicolumn{4}{c}{Model} \\\\\n')
fprintf(' \\cline{4-7}\n')
fprintf(' & & & (1) &  (2) & (3) & (4) \\\\\n')
fprintf(' Coefficient & Description & & Benchmark & Taylor rule & Nominal rigidities & Flexible prices \\\\\n')
fprintf(' & & & &  LWZ (2011) & LWZ (2011) & and wages \\\\\n')
fprintf(' \\hline\n')
fprintf(' $p_{11}$ & Transition matrix & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(1,2), PostMatrixBEN(1,3), PostMatrixBEN(1,1),PostMatrixLWZ(1,2), PostMatrixLWZ(1,3), PostMatrixLWZ(1,1), PostMatrixCalvoLWZ(1,2), PostMatrixCalvoLWZ(1,3), PostMatrixCalvoLWZ(1,1),PostMatrixNOS(1,2), PostMatrixNOS(1,3), PostMatrixNOS(1,1))
fprintf(' $p_{22}$ & Transition matrix & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(2,2), PostMatrixBEN(2,3), PostMatrixBEN(2,1),PostMatrixLWZ(2,2), PostMatrixLWZ(2,3), PostMatrixLWZ(2,1), PostMatrixCalvoLWZ(2,2), PostMatrixCalvoLWZ(2,3), PostMatrixCalvoLWZ(2,1),PostMatrixNOS(1,2), PostMatrixNOS(2,3), PostMatrixNOS(2,1))      
fprintf(' $\\kappa$ & Measurement VIX & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$  & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(3,2), PostMatrixBEN(3,3), PostMatrixBEN(3,1),PostMatrixLWZ(3,2), PostMatrixLWZ(3,3), PostMatrixLWZ(3,1), PostMatrixCalvoLWZ(3,2), PostMatrixCalvoLWZ(3,3), PostMatrixCalvoLWZ(3,1),PostMatrixNOS(3,2), PostMatrixNOS(3,3), PostMatrixNOS(3,1))
fprintf(' $S''''(\\chi_t=1)$ & Investment adj. costs  & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(4,2), PostMatrixBEN(4,3), PostMatrixBEN(4,1),PostMatrixLWZ(4,2), PostMatrixLWZ(4,3), PostMatrixLWZ(4,1), PostMatrixCalvoLWZ(4,2), PostMatrixCalvoLWZ(4,3), PostMatrixCalvoLWZ(4,1),PostMatrixNOS(4,2), PostMatrixNOS(4,3), PostMatrixNOS(4,1))
fprintf(' $S''''(\\chi_t=2)$ & Investment adj. costs  & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(5,2), PostMatrixBEN(5,3), PostMatrixBEN(5,1),PostMatrixLWZ(5,2), PostMatrixLWZ(5,3), PostMatrixLWZ(5,1), PostMatrixCalvoLWZ(5,2), PostMatrixCalvoLWZ(5,3), PostMatrixCalvoLWZ(5,1),PostMatrixNOS(5,2), PostMatrixNOS(5,3), PostMatrixNOS(5,1))
fprintf(' $\\mu(\\chi_t=1)$ & Monitoring cost & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(6,2), PostMatrixBEN(6,3), PostMatrixBEN(6,1),PostMatrixLWZ(6,2), PostMatrixLWZ(6,3), PostMatrixLWZ(6,1), PostMatrixCalvoLWZ(6,2), PostMatrixCalvoLWZ(6,3), PostMatrixCalvoLWZ(6,1),PostMatrixNOS(6,2), PostMatrixNOS(6,3), PostMatrixNOS(6,1))
fprintf(' $\\mu(\\chi_t=2)$ & Monitoring cost & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$  & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(7,2), PostMatrixBEN(7,3), PostMatrixBEN(7,1),PostMatrixLWZ(7,2), PostMatrixLWZ(7,3), PostMatrixLWZ(7,1), PostMatrixCalvoLWZ(7,2), PostMatrixCalvoLWZ(7,3), PostMatrixCalvoLWZ(7,1),PostMatrixNOS(7,2), PostMatrixNOS(7,3), PostMatrixNOS(7,1))     
fprintf(' $\\rho_{\\sigma}(\\chi_t=1)$ & Persistence shock & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(8,2), PostMatrixBEN(8,3), PostMatrixBEN(8,1),PostMatrixLWZ(8,2), PostMatrixLWZ(8,3), PostMatrixLWZ(8,1), PostMatrixCalvoLWZ(8,2), PostMatrixCalvoLWZ(8,3), PostMatrixCalvoLWZ(8,1),PostMatrixNOS(8,2), PostMatrixNOS(8,3), PostMatrixNOS(8,1))
fprintf(' $\\rho_{\\sigma}(\\chi_t=2)$ & Persistence shock & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$  \\\\\n', ...
          PostMatrixBEN(9,2), PostMatrixBEN(9,3), PostMatrixBEN(9,1),PostMatrixLWZ(9,2), PostMatrixLWZ(9,3), PostMatrixLWZ(9,1), PostMatrixCalvoLWZ(9,2), PostMatrixCalvoLWZ(9,3), PostMatrixCalvoLWZ(9,1),PostMatrixNOS(9,2), PostMatrixNOS(9,3), PostMatrixNOS(9,1))
fprintf(' $\\sigma_{\\sigma}(\\chi_t=1)$ & Risk shock & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(10,2), PostMatrixBEN(10,3), PostMatrixBEN(10,1),PostMatrixLWZ(10,2), PostMatrixLWZ(10,3), PostMatrixLWZ(10,1), PostMatrixCalvoLWZ(10,2), PostMatrixCalvoLWZ(10,3), PostMatrixCalvoLWZ(10,1),PostMatrixNOS(10,2), PostMatrixNOS(10,3), PostMatrixNOS(10,1))
fprintf(' $\\sigma_{\\sigma}(\\chi_t=2)$ & Risk shock  & & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ & $\\underset{[%.4f; %.4f]}{%.4f}$ \\\\\n', ...
          PostMatrixBEN(11,2), PostMatrixBEN(11,3), PostMatrixBEN(11,1),PostMatrixLWZ(11,2), PostMatrixLWZ(11,3), PostMatrixLWZ(11,1), PostMatrixCalvoLWZ(11,2), PostMatrixCalvoLWZ(11,3), PostMatrixCalvoLWZ(11,1),PostMatrixNOS(11,2), PostMatrixNOS(11,3), PostMatrixNOS(11,1))   
fprintf(' & & & & &  &  \\\\\n')
fprintf(' \\multicolumn{2}{l}{Log Marginal Likelihood} & & $%.4f$ & $%.4f$ & $%.4f$  & $%.4f$ \\\\\n', ...
          MDDBEN,MDDLWZ,MDDCALVOLWZ,MDDNOS)
fprintf(' \\hline\n')
fprintf('\\end{tabular}\n')
fprintf('\\end{table}\n')
diary off
