%
% Generate Figures 1
%
% by Stephane LHUISSIER and Fabien TRIPIER

clear all; clc;

addpath('../library')

prob1=readmatrix('dynare/smoothed_Run_msVAR.out','FileType','text');
prob=prob1(:,1:end-1); % remove extra column

BinDate = datetime('Q4/1962','InputFormat','QQ/yyyy');
EndDate = datetime('Q2/2018','InputFormat','QQ/yyyy');

Date = BinDate:calquarters(1):EndDate;

smb1=prob(:,1)+prob(:,2);
smb2=prob(:,3)+prob(:,4);
smb3=prob(:,5)+prob(:,6);
smc1=prob(:,1)+prob(:,3)+prob(:,5);
smc2=prob(:,2)+prob(:,4)+prob(:,6);

smb=[smb1,smb2,smb3];
smc=[smc1,smc2];

make_it_tight = true;                     % GAP        LOWER UPPER  LEFT RIGHT
subplot = @(m,n,p) subtightplot (m, n, p, [0.14 0.10], [0.09 0.05], [0.06 0.02]);
if ~make_it_tight,  clear subplot;  end

figure;
subplot(3,1,2)
a=area(Date',smc);
a(1).FaceAlpha = 0.7;
a(2).FaceAlpha = 0.7;
ylabel('prob.')
xlabel('years')
t=title('Panel A. VAR coefficients');
set(t, 'horizontalAlignment', 'left')
set(t, 'units', 'normalized')
h = get(t, 'position');
set(t, 'position', [0 1 0])
box on
grid on
set(gca,'FontSize', 12)
legend('Regime 1','Regime 2','Location','SouthWest')
subplot(3,1,3)
b=area(Date',smb);
b(1).FaceAlpha = 0.7;
b(2).FaceAlpha = 0.7;
b(3).FaceAlpha = 0.7;
box on
grid on
ylabel('prob.')
xlabel('years')
t=title('Panel B. VAR disturbances');
set(t, 'horizontalAlignment', 'left')
set(t, 'units', 'normalized')
h = get(t, 'position');
set(t, 'position', [0 1 0])
set(gca,'FontSize', 12)
legend('Regime 1','Regime 2', 'Regime 3','Location','SouthWest')

set(gcf,'PaperUnits','inches');
set(gcf,'PaperSize',[9 4]);
set(gcf,'PaperPositionMode','manual');
set(gcf,'PaperPosition',[0 0 9 6]);

set(gcf,'renderer','painters');
eval(['print -dpdf Fig1']);

